{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    {{ media }}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}"/>
    <script type="text/javascript" src="{% static 'custom/js/Pagos/ventana_popup.js' %}"></script>
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        <a href="../../">
            {% trans "Asignación de Pagos" %} &rsaquo;
        </a>
        <a href="../../periodo/">
            {% trans "Períodos" %} &rsaquo;
        </a>
        <a href="../../periodo/{{ matriculado.Periodo.id|escape }}/">
            {% trans "Matriculados" %} {{ matriculado.Periodo }} &rsaquo;
        </a>
        {{ matriculado.Alumno|escape }}
    </div>
{% endblock %}

{% block title %} {% trans 'Asignación de Pagos UDL' %} {% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}

    <fieldset class="module aligned">
        <h2>Datos del Alumno Matriculado</h2>
        <div class="form-row">
            <div class="field-box">
                <label class="required">Alumno:</label>
                {{ matriculado.Alumno|escape }}
            </div>
            <div class="field-box">
                <label class="required">Código:</label>
                {{ matriculado.Alumno.Codigo|escape }}
            </div>
            <div class="field-box">
                <label class="required inline">Matrícula:</label>
                {{ matriculado.Periodo }}
            </div>
            <div class="field-box">
                <label class="required inline">Carrera:</label>
                {{ matriculado.Alumno.Carrera|escape }}
            </div>
        </div>
        <div class="form-row">
            <div class="field-box">
                <label class="required">Categoría:</label>
                {{ matriculado.Categoria }}
            </div>
            <div class="field-box">
                <label class="required">Condición:</label>
                {{ matriculado.Estado }}
            </div>
        </div>
    </fieldset>
    <fieldset class="module aligned">
        <h2>Datos del Apoderado</h2>
        <div class="form-row">
            <div class="field-box">
                <label class="required inline">Apoderado:</label>
                {{ matriculado.Alumno.Parentesco.Apoderado }}
            </div>
            <div class="field-box">
                <label class="required inline">Teléfono:</label>
                {{ matriculado.Alumno.Parentesco.TelfTutor }}
            </div>
            <div class="field-box">
                <label class="required inline">Celular:</label>
                {{ matriculado.Alumno.Parentesco.CelTutor }}
            </div>
            <div class="field-box">
                <label class="required inline">Telf. Trabajo:</label>
                {{ matriculado.Alumno.Parentesco.TelfOcupTutor }}
            </div>
        </div>
        <div class="form-row">
            <div class="field-box">
                <label class="required inline">Dirección:</label>
                {{ matriculado.Alumno.Parentesco.DirTutor }}
            </div>
            <div class="field-box">
                <label class="required inline">Dir. Tutor:</label>
                {{ matriculado.Alumno.Parentesco.DirOcupTutor }}
            </div>
        </div>
    </fieldset>

    <div id="content-main">
        <h2>Cuenta Corriente del Alumno Matriculado</h2>
        {% block object-tools %}
            <ul class="object-tools">
                {% if perms.Pagos.add_comprobante and perms.Pagos.add_detallepago %}
                    <li>
                        <a id="lookup_id_CobrarConcepto" class="addlink"
                           onclick="return abrir_popup('../../cobrarmatriculado/{{ matriculado.id }}/');"
                           href="../../cobrarmatriculado/{{ matriculado.id }}/">
                            {% trans 'Cobrar' %}
                        </a>
                    </li>
                {% endif %}
                {% if perms.Pagos.add_pagoalumno %}
                    <li>
                        <a id="lookup_id_ConceptoPago" class="addlink"
                           onclick="return abrir_popup('../../addconceptos/{{ matriculado.id }}/');"
                           href="../../addconceptos/{{ matriculado.id }}/">
                            {% trans 'Asignar Concepto(s)' %}
                        </a>
                    </li>
                {% endif %}
            </ul>
        {% endblock %}
        <div class="module filtered" id="changelist">
            <div id="toolbar">
                <form id="changelist-search" action="" method="get">
                    <div><!-- DIV needed for valid HTML -->
                        <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}"
                                                    alt="Search"/></label>
                        <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar"/>
                        {% if query1 %}
                            <input type="hidden" name="p" value="{{ query1|escape }}"/>
                        {% endif %}
                        <input type="submit" value="{% trans 'Search' %}"/>
                    </div>
                </form>
            </div>
            <script type="text/javascript">document.getElementById("searchbar").focus();</script>

            {% block filters %}
                <div id="changelist-filter">
                    <h2>{% trans 'Filter' %}</h2>
                    <h3> {% trans 'Por Estado de Pago' %}</h3>
                    <ul>
                        <li {% if not query %}{% if not query1 %}class="selected"{% else %}
                        {% endif %}{% else %}{% endif %}><a href="?">Todos/as</a></li>
                        <li {% ifequal query1 "1" %}class="selected"{% endifequal %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}p=1">Cancelado</a></li>
                        <li {% ifequal query1 "0" %}class="selected"{% endifequal %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}p=0">Pendientes</a></li>
                    </ul>
                </div>
            {% endblock %}
            {% block result_list %}
                {% if query %}
                    <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
                {% endif %}
                {% if pagos %}
                    <div class="results">
                        <table id='result_list'>
                            <thEAD>
                            <tr>
                                <th scope='col'>
                                    <div class="text"><span>&rsaquo;</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Concepto' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Monto' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Deuda' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Mora' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Deuda Mora' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Vence' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Ign. Cat.' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Banco' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Pago concepto + Mora' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans '¿Tiene Prorroga?' %}</span></div>
                                </th>
                                {% if perms.Pagos.delete_pagoalumno %}
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Eliminar' %}</span></div>
                                    </th>
                                {% endif %}
                                {% if perms.Pagos.update_prorroga %}
                                    <th scope='col'>
                                        <div class='text'><span>{% trans 'Editar Prórroga' %}</span></div>
                                    </th>
                                {% endif %}
                                {% if perms.Pagos.update_exceso %}
                                    <th scope='col'>
                                        <div class='text'><span>{% trans 'Editar Exceso' %}</span></div>
                                    </th>
                                {% endif %}
                            </tr>
                            </thEAD>
                            <tbody>

                            {% for pago in pagos %}
                                <tr class="{% cycle 'row1' 'row2' %}">
                                    <td>&rsaquo;</td>
                                    <td><a href="../detalle/{{ pago.id }}/" a>{{ pago.ConceptoPago|escape }}</a></td>
                                    <td>S/. {{ pago.Monto|escape }}</td>
                                    <td>S/. {{ pago.DeudaMonto|escape }}</td>
                                    <td>S/. {{ pago.Mora|escape }}</td>
                                    <td>S/. {{ pago.DeudaMora|escape }}</td>
                                    <td>{{ pago.ConceptoPago.Vence|escape }}</td>
                                    <td>{% if pago.IgnorarCategoria %}
                                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                    {% else %}
                                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                    {% endif %}
                                    </td>
                                    <td>{% if pago.ConceptoPago.PagoBanco %}
                                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                    {% else %}
                                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                    {% endif %}
                                    </td>
                                    <td>{% if pago.Estado %}
                                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                    {% else %}
                                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                    {% endif %}
                                    <td>{% if pago.Prorroga %}
                                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                    {% else %}
                                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                    {% endif %}
                                    </td>
                                    {% if perms.Pagos.change_pagoalumno %}
                                        <td>
                                            <a class="deletelink" href="../../{{ pago.id|escape }}/delete/"
                                               onclick="return abrir_popup('../../{{ pago.id|escape }}/delete/');"></a>
                                        </td>
                                    {% endif %}
                                    {% if perms.Pagos.update_prorroga %}
                                        <td><a class="changelink" href="../prorroga/{{ pago.id }}/"></a></td>
                                    {% endif %}
                                    {% if perms.Pagos.update_exceso %}
                                        <td><a class="changelink" href="../exceso/{{ pago.id }}/"></a></td>
                                    {% endif %}
                                </tr>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                {% else %}
                    <p>{% trans 'No se encontraron coincidencias' %}</p>
                {% endif %}

                {#            Inicio Deudas    #}
                <br><br>
                <h2>RESULTADOS DEUDAS DE IDIOMAS</h2>
                {% if deudas_idiomas %}
                    <div class="results">
                        <table id='result_list_idiomas'>
                            <thead>
                            <tr>
                                <th scope='col'>
                                    <div class="text"><span>&rsaquo;</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Periodo' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Concepto' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Monto' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Deuda' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Mora' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Deuda Mora' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Vence' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Ign. Cat.' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Banco' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Pago concepto + Mora' %}</span></div>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for deuda in deudas_idiomas %}
                                <tr class="{% cycle 'row1' 'row2' %}">
                                    <td>&rsaquo;</td>
                                    <td>{{ deuda.periodo|escape }}</td>
                                    <td>{{ deuda.concepto|escape }}</td>
                                    <td>S/. {{ deuda.monto|escape }}</td>
                                    <td>S/. {{ deuda.montodeuda|escape }}</td>
                                    <td>S/. {{ deuda.mora|escape }}</td>
                                    <td>S/. {{ deuda.deudamora|escape }}</td>
                                    <td>{{ deuda.vence|escape }}</td>
                                    <td>{% if deuda.ignorarcategoria %}
                                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                    {% else %}
                                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                    {% endif %}
                                    </td>
                                    <td>{% if deuda.conceptopagobanco %}
                                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                    {% else %}
                                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                    {% endif %}
                                    </td>
                                    <td>{% if deuda.estado %}
                                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                    {% else %}
                                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                    {% endif %}
                                    </td>
                                </tr>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                {% else %}
                    <p>{% trans 'No se encontraron coincidencias' %}</p>
                {% endif %}
                {#            Fin Deudas       #}
            {% endblock %}
        </div>
    </div>
{% endblock %}
